'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _atpRest = require('atp-rest');

var _atpRestUac = require('atp-rest-uac');

var _atpValidator = require('atp-validator');

var _atpValidator2 = _interopRequireDefault(_atpValidator);

var _util = require('../util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var permissions = (0, _atpRestUac.createCrudPermissions)('media', 'file');

//TODO:  Delete single files by Key
exports.default = {
    get: _atpRest.basicController.rest({
        getValidator: function getValidator(req) {
            return (0, _atpValidator2.default)().loggedIn(req).hasPermission(permissions.view, req);
        },
        loadResource: function loadResource(req) {
            return (0, _util.s3)().listObjects(req.query.prefix);
        }
    })
};